View Issue Details

IDProjectCategoryView StatusLast Update
0014396LazarusIDEpublic2011-12-01 11:22
ReporterpomaloAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version0.9.28Fixed in Version0.9.29 (SVN) 
Summary0014396: Message need a space in french locale
DescriptionWhen reopening a recent file (menu open recent) in french locale, for a missing file, the text in messagebox need a space beetwen file name and next word

line 6174 in lazaruside.fr.po

#: lazarusidestrconsts.lisfilenotfounddoyouwanttocreateit
msgid "File %s%s%s not found.%sDo you want to create it?%s"
msgstr "Fichier %s%s% non trouvé.%sSouhaitez-vous le créer ?%s"
TagsNo tags attached.
Fixed in Revision21451
LazTarget0.9.28
Widgetset
Attached Files
  • capture.png (20,892 bytes)
    capture.png (20,892 bytes)
  • mypatch.diff (480 bytes)
    Index: languages/lazaruside.fr.po
    ===================================================================
    --- languages/lazaruside.fr.po	(révision 21448)
    +++ languages/lazaruside.fr.po	(copie de travail)
    @@ -6191,7 +6191,7 @@
     
     #: lazarusidestrconsts.lisfilenotfounddoyouwanttocreateit
     msgid "File %s%s%s not found.%sDo you want to create it?%s"
    -msgstr "Fichier %s%s% non trouvé.%sSouhaitez-vous le créer ?%s"
    +msgstr "Fichier %s%s%s%s non trouvé. Souhaitez-vous le créer ?"
    
    
    mypatch.diff (480 bytes)

Activities

2009-08-21 08:18

 

capture.png (20,892 bytes)
capture.png (20,892 bytes)

Paul Ishenin

2009-08-24 17:20

manager   ~0030121

Can you attach a patch?

pomalo

2009-08-25 21:45

reporter   ~0030148

patch attached

2009-08-25 21:45

 

mypatch.diff (480 bytes)
Index: languages/lazaruside.fr.po
===================================================================
--- languages/lazaruside.fr.po	(révision 21448)
+++ languages/lazaruside.fr.po	(copie de travail)
@@ -6191,7 +6191,7 @@
 
 #: lazarusidestrconsts.lisfilenotfounddoyouwanttocreateit
 msgid "File %s%s%s not found.%sDo you want to create it?%s"
-msgstr "Fichier %s%s% non trouvé.%sSouhaitez-vous le créer ?%s"
+msgstr "Fichier %s%s%s%s non trouvé. Souhaitez-vous le créer ?"

mypatch.diff (480 bytes)

Paul Ishenin

2009-08-26 13:22

manager   ~0030162

You patch was a bit wrong but it helped me to understand what to fix. Thanks.

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-08-21 08:18 pomalo New Issue
2009-08-21 08:18 pomalo File Added: capture.png
2009-08-24 17:20 Paul Ishenin LazTarget => -
2009-08-24 17:20 Paul Ishenin Note Added: 0030121
2009-08-24 17:20 Paul Ishenin Status new => feedback
2009-08-25 21:45 pomalo Note Added: 0030148
2009-08-25 21:45 pomalo File Added: mypatch.diff
2009-08-26 13:22 Paul Ishenin Fixed in Revision => 21451
2009-08-26 13:22 Paul Ishenin LazTarget - => 0.9.30
2009-08-26 13:22 Paul Ishenin Status feedback => resolved
2009-08-26 13:22 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-08-26 13:22 Paul Ishenin Resolution open => fixed
2009-08-26 13:22 Paul Ishenin Assigned To => Paul Ishenin
2009-08-26 13:22 Paul Ishenin Note Added: 0030162
2009-08-26 13:22 Paul Ishenin Target Version => 0.9.30
2009-08-27 17:58 Paul Ishenin LazTarget 0.9.30 => 0.9.28
2009-08-27 17:58 Paul Ishenin Target Version 0.9.30 => 0.9.28
2011-12-01 11:22 Marc Weustink Status resolved => closed